メインコンテンツへスキップ
POST
/
v1
/
preview
/
models
モデルを作成
curl --request POST \
  --url https://api.example.com/v1/preview/models \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project": "<string>",
  "name": "<string>",
  "base_model": "<string>",
  "entity": "my-team",
  "return_existing": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entity": "<string>",
  "project": "<string>",
  "name": "<string>",
  "base_model": "<string>",
  "run_id": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json

新しいモデルを作成するためのスキーマ。

project
string
必須

モデルを保存する先の W&B 内のプロジェクト名

:

"my-awesome-project"

name
string
必須

プロジェクト内でのモデルの一意な名前

:

"my-awesome-model"

base_model
string
必須

ファインチューニング元となるベースモデルの識別子、または Hugging Face モデルパス

:

"OpenPipe/Qwen3-14B-Instruct"

entity
string | null

使用している W&B API キー に紐づく開発者の Team 名またはユーザー名

:

"my-team"

return_existing
boolean
デフォルト:false

true の場合、同じ名前のモデルがすでに存在していれば新規作成せず、その既存モデルを返します

レスポンス

成功レスポンス

モデル応答用のスキーマ。

id
string<uuid>
必須
entity
string
必須
project
string
必須
name
string
必須
base_model
string
必須
run_id
string | null